/* ===================================== op.job.ticket.attributes.c ======================================= */
/* ..................................................|..................................................... */

/* -------------------------------------------------------------------------------------------------------- */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/*        1         2         3         4         5         6         7         8         9         10      */
/* ..................................................|..................................................... */
/*                                        Author: Glen Petrie                                               */
/****************************************************|*******************************************************/
/*                                                                                                          */
/*    Copyright (c) 2011-2013                SEIKO EPSON CORPORATION            All Rights Reserved         */
/*                                                                                                          */
/*                                      Common Public License - v 1.0                                       */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE ("AGREEMENT").      */
/*   ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS        */
/*   AGREEMENT.                                                                                             */
/*                                                                                                          */
/* 1. DEFINITIONS                                                                                           */
/*    "Contribution" means:                                                                                 */
/*    a) in the case of the initial Contributor, the initial code and documentation distributed under this  */
/*       Agreement, and                                                                                     */
/*    b) in the case of each subsequent Contributor:                                                        */
/*        i) changes to the Program, and                                                                    */
/*       ii) additions to the Program;                                                                      */
/*                                                                                                          */
/*       where such changes and/or additions to the Program originate from and are distributed by that      */
/*       particular Contributor. A Contribution 'originates' from a Contributor if it was added to the      */
/*       Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions    */
/*       do not include additions to the Program which:                                                     */
/*      (i) are separate modules of software distributed in conjunction with the Program under their own    */
/*          license agreement, and                                                                          */
/*     (ii) are not derivative works of the Program.                                                        */
/*                                                                                                          */
/*    "Contributor" means any person or entity that distributes the Program.                                */
/*                                                                                                          */
/*    "Licensed Patents" mean patent claims licensable by a Contributor which are necessarily infringed     */
/*    by the use or sale of its Contribution alone or when combined with the Program.                       */
/*                                                                                                          */
/*    "Program" means the Contributions distributed in accordance with this Agreement.                      */
/*                                                                                                          */
/*    "Recipient" means anyone who receives the Program under this Agreement, including all Contributors.   */
/*                                                                                                          */
/* 2. GRANT OF RIGHTS                                                                                       */
/*    a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly      */
/*       display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, */
/*       and such derivative works, in source code and object code form.                                    */
/*    b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell,   */
/*       import and otherwise transfer the Contribution of such Contributor, if any, in source code and     */
/*       object code form. This patent license shall apply to the combination of the Contribution and the   */
/*       Program if, at the time the Contribution is added by the Contributor, such addition of the         */
/*       Contribution causes such combination to be covered by the Licensed Patents.  The patent license    */
/*       shall not apply to any other combinations which include the Contribution. No hardware per se is    */
/*       licensed hereunder.                                                                                */
/*    c) Recipient understands that although each Contributor grants the licenses to its Contributions set  */
/*       forth herein, no assurances are provided by any Contributor that the Program does not infringe the */
/*       patent or other intellectual property rights of any other entity. Each Contributor disclaims any   */
/*       liability to Recipient for claims brought by any other entity based on infringement of             */
/*       intellectual property rights or otherwise. As a condition to exercising the rights and licenses    */
/*       granted hereunder, each Recipient hereby assumes sole responsibility to secure any other           */
/*       intellectual property rights needed, if any.  For example, if a third party patent license is      */
/*       required to allow Recipient to distribute the Program, it is Recipient's responsibility to         */
/*       acquire that license before distributing the Program.                                              */
/*    d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its        */
/*       Contribution, if any, to grant the copyright license set forth in this Agreement.                  */
/*                                                                                                          */
/* 3. REQUIREMENTS                                                                                          */
/*    A Contributor may choose to distribute the Program in object code form under its own license          */
/*    agreement, provided that:                                                                             */
/*    a) it complies with the terms and conditions of this Agreement; and                                   */
/*    b) its license agreement:                                                                             */
/*        i) effectively disclaims on behalf of all Contributors all warranties and conditions, express     */
/*           and implied, including warranties or conditions of title and non-infringement, and implied     */
/*           warranties or conditions of merchantability and fitness for a particular purpose;              */
/*       ii) effectively excludes on behalf of all Contributors all liability for damages, including        */
/*           direct, indirect, special, (incidental and consequential damages, such as lost profits;        */
/*      iii) states that any provisions which differ from this Agreement are offered by that Contributor    */
/*           alone and not by any other party; and                                                          */
/*       iv) states that source code for the Program is available from such Contributor, and informs        */
/*           licensees how to obtain it in a reasonable manner on or through a medium customarily used      */
/*           for software exchange.                                                                         */
/*    When the Program is made available in source code form:                                               */
/*        a) it must be made available under this Agreement; and                                            */
/*        b) a copy of this Agreement must be included with each copy of the Program.                       */
/*    Contributors may not remove or alter any copyright notices contained within the Program.              */
/*                                                                                                          */
/*    Each Contributor must identify itself as the originator of its Contribution, if any, in a manner      */
/*    that reasonably allows subsequent Recipients to identify the originator of the Contribution.          */
/*                                                                                                          */
/* 4. COMMERCIAL DISTRIBUTION                                                                               */
/*    Commercial distributors of software may accept certain responsibilities with respect to end users,    */
/*    business partners and the like. While this license is intended to facilitate the commercial use of    */
/*    the Program, the Contributor who includes the Program in a commercial product offering should do so   */
/*    in a manner which does not create potential liability for other Contributors. Therefore, if a         */
/*    Contributor includes the Program in a commercial product offering, such Contributor                   */
/*    ("Commercial Contributor") hereby agrees to defend and indemnify every other Contributor              */
/*    ("Indemnified Contributor") against any losses, damages and costs (collectively "Losses") arising     */
/*    from claims, lawsuits and other legal actions brought by a third party against the Indemnified        */
/*    Contributor to the extent caused by the acts or omissions of such Commercial Contributor in           */
/*    connection with its distribution of the Program in a commercial product offering. The obligations in  */
/*    this section do not apply to any claims or Losses relating to any actual or alleged intellectual      */
/*    property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the   */
/*    Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control,  */
/*    and cooperate with the Commercial Contributor in, the defense and any related settlement              */
/*    negotiations. The Indemnified Contributor may participate in any such claim at its own expense.       */
/*                                                                                                          */
/*    For example, a Contributor might include the Program in a commercial product offering, Product X.     */
/*    That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes          */
/*    performance claims, or offers warranties related to Product X, those performance claims and           */
/*    warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial */
/*    Contributor would have to defend claims against the other Contributors related to those performance   */
/*    claims and warranties, and if a court requires any other Contributor to pay any damages as a result,  */
/*    the Commercial Contributor must pay those damages.                                                    */
/*                                                                                                          */
/* 5. NO WARRANTY                                                                                           */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS,         */
/*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT            */
/*    LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS       */
/*    FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness    */
/*    of using and distributing the Program and assumes all risks associated with its exercise of rights    */
/*    under this Agreement, including but not limited to the risks and costs of program errors, compliance  */
/*    with applicable laws, damage to or loss of data, programs or equipment, and unavailability or         */
/*    interruption of operations.                                                                           */
/*                                                                                                          */
/* 6. DISCLAIMER OF LIABILITY                                                                               */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE    */
/*    ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES      */
/*    (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER   */
/*    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT     */
/*    OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF    */
/*    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                                                           */
/*                                                                                                          */
/* 7. GENERAL                                                                                               */
/*    If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not     */
/*    affect the validity or enforceability of the remainder of the terms of this Agreement, and without    */
/*    further action by the parties hereto, such provision shall be reformed to the minimum extent          */
/*    necessary to make such provision valid and enforceable.                                               */
/*                                                                                                          */
/*    If Recipient institutes patent litigation against a Contributor with respect to a patent applicable   */
/*    to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted  */
/*    by that Contributor to such Recipient under this Agreement shall terminate as of the date such        */
/*    litigation is filed. In addition, if Recipient institutes patent litigation against any  entity       */
/*    (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding    */
/*    combinations of the Program with other software or hardware) infringes such Recipient's patent(s),    */
/*    then such Recipient's rights granted under Section 2(b) shall terminate as of the date such           */
/*    litigation is filed.                                                                                  */
/*                                                                                                          */
/*    All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the     */
/*    material terms or conditions of this Agreement and does not cure such failure in a reasonable         */
/*    period of time after becoming aware of such noncompliance. If all Recipient's rights under this       */
/*    Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as         */
/*    reasonably practicable. However, Recipient's obligations under this Agreement and any licenses        */
/*    granted by Recipient relating to the Program shall continue and survive.                              */
/*                                                                                                          */
/*    Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid          */
/*    inconsistency the Agreement is copyrighted and may only be modified in the following manner. The      */
/*    Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement  */
/*    from time to time. No one other than the Agreement Steward has the right to modify this Agreement.    */
/*    IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement     */
/*    Steward to a suitable separate entity. Each new version of the Agreement will be given a              */
/*    distinguishing version number. The Program (including Contributions) may always be distributed        */
/*    subject to the version of the Agreement under which it was received. In addition, after a new         */
/*    version of the Agreement is published, Contributor may elect to distribute the Program (including     */
/*    its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, */
/*    Recipient receives no rights or licenses to the intellectual property of any Contributor under this   */
/*    Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not    */
/*    expressly granted under this Agreement are reserved.                                                  */
/*                                                                                                          */
/*    This Agreement is governed by the laws of the State of New York and the intellectual property laws    */
/*    of the United States of America. No party to this Agreement will bring a legal action under this      */
/*    Agreement more than one year after the cause of action arose. Each party waives its rights to a       */
/*    jury trial in any resulting litigation.                                                               */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/*                                                                                                          */
/* Code States:                                                                                             */
/*      Initial                                                                                             */
/*                          Developing                                                                      */
/*      Working                                                                                             */
/*      Tested                                                                                              */
/*      Refactored                                                                                          */
/*      Final Candidate                                                                                     */
/*      Final Code                                                                                          */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/* Acknowledgment to the following as a model for JT content
   ========================================================
 * Job Ticket API (JTAPI) "OP_enums.h
 *
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson", Inc.
 * Copyright (c) 2004 Till Kamppeter.
 * Copyright (c) 2004 Free Standards Group.
 *
 *                    Common Public License - v 1.0
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE", REPRODUCTION OR
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
 * OF THIS AGREEMENT.
 *
 * The Common Public License in its entirety is located in
 * "JTAPI_cpl.lic and applies to the contents of this file.
 * *****%*******************%*****|************************************************************************ */

/* ---------------------------------------------- Includes ------------------------------------------------ */
/* ..................................................|..................................................... */
#include "gp.typedefs.h"
#include "op.job.ticket.attributes.h"

/* ---------------------------------------------- Macros -------------------------------------------------- */
/* ..................................................|..................................................... */

/* --------------------------------------------- Definition ----------------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------- Data Structure Declarations -------------------------------------- */
/* ..................................................|..................................................... */

/* ------------------------------------ Application Global Variables -------------------------------------- */
/* ..................................................|..................................................... */

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Bind Type                                                  */
    /*** .......................................................... */
    /*** Whether or not to bind and what kind of binding to use.    */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opBndTyp[] = {
   "OP_BT_NOT_SET",
   "OP_BT_NONE",
   "OP_BT_CHANNEL",
   "OP_BT_EDGE_GLUE",
   "OP_BT_PERFECT",
   "OP_BT_PLASTIC_COMB",
   "OP_BT_RING",
   "OP_BT_SPIRAL",
   "OP_BT_STRIP",
   "OP_BT_TAPE",
   "OP_BT_THREAD_SEAL",
   "OP_BT_VELO",
   "OP_BT_WIRE_COMB",
   "OP_BT_EOL",
   "OP_BT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Collate                                                    */
    /*** .......................................................... */
    /*** Whether the sheets and/or documents are to be collated     */
    /*** or not.                                                    */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opCltTyp[] = {
   "OP_CL_NOT_SET",
   "OP_CL_NONE",
   "OP_CL_SHEET",
   "OP_CL_SHEET_AND_DOC",
   "OP_CL_EOL",
   "OP_CL_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Compression                                                */
    /*** .......................................................... */
    /*** Type of compression algorithm to use for the data          */
    /*** contained in the document.                                 */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opCmpTyp[] = {
   "OP_CM_NOT_SET",
   "OP_CM_NONE",
   "OP_CM_BZIP2",
   "OP_CM_COMPRESS",
   "OP_CM_DEFLATE",
   "OP_CM_GZIP",
   "OP_CM_EOL",
   "OP_CM_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Contact Role                                               */
    /*** .......................................................... */
    /*** Role of the person that is to be contacted regarding the   */
    /*** job.                                                       */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opConRol[] = {
   "OP_CR_NOT_SET",
   "OP_CR_RSV1",
   "OP_CR_ACCOUNTING",
   "OP_CR_ADMINISTRATOR",
   "OP_CR_APPROVER",
   "OP_CR_ART_RETURN",
   "OP_CR_BILLING",
   "OP_CR_CUSTOMER",
   "OP_CR_DELIVERY",
   "OP_CR_DELIVERY_CHARGE",
   "OP_CR_OWNER",
   "OP_CR_PICKUP",
   "OP_CR_SENDER",
   "OP_CR_SUPPLIER",
   "OP_CR_SURPLUS_RETURN",
   "OP_CR_EOL",
   "OP_CR_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Feed Orientation                                           */
    /*** .......................................................... */
    /*** The orientation of the media as it is to be fed into the   */
    /*** device.                                                    */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opFedOri[] = {
   "OP_FO_NOT_SET",
   "OP_FO_RSV1",
   "OP_FO_LONG_EDGE_FIRST",
   "OP_FO_SHORT_EDGE_FIRST",
   "OP_FO__EOL",
   "OP_FO_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Fit Policy                                                 */
    /*** .......................................................... */
    /*** How to modify the content to fit on the media.             */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opFitPol[] = {
   "OP_FP_NOT_SET",
   "OP_FP_RSV1",
   "OP_FP_CLIP_TO_PAGE",
   "OP_FP_FIT_TO_PAGE",
   "OP_FP_ROTATE_AND_OR_FIT",
   "OP_FP_EOL",
   "OP_FP_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Fold Type                                                  */
    /*** .......................................................... */
    /*** The type of folding to perform.                            */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opFldTyp[] = {
   "OP_FD_NOT_SET",
   "OP_FD_NONE",
   "OP_FD_C",
   "OP_FD_SADDLE",
   "OP_FD_Z",
   "OP_FD_Z_IN_THIRDS",
   "OP_FD_EOL",
   "OP_FD_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Hold                                                       */
    /*** .......................................................... */
    /*** Whether or not to hold the job and for how long.           */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opHldTyp[] = {
   "OP_HD_NOT_SET",
   "OP_HD_RSV1",
   "OP_HD_INDEFINITE",
   "OP_HD_NO_HOLD",
   "OP_HD_EOL",
   "OP_HD_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Alignment X                                                */
    /*** .......................................................... */
    /*** How to align the image in the x direction.                 */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opAlignX[] = {
   "OP_AX_NOT_SET",
   "OP_AX_NONE",
   "OP_AX_CENTER",
   "OP_AX_LEFT",
   "OP_AX_RIGHT",
   "OP_AX_EOL",
   "OP_AX_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Alignment Y                                                */
    /*** .......................................................... */
    /*** How to align the image in the y direction.                 */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opAlignY[] = {
   "OP_AY_NOT_SET",
   "OP_AY_NONE",
   "OP_AY_BOTTOM",
   "OP_AY_CENTER",
   "OP_AY_TOP",
   "OP_AY_EOL",
   "OP_AY_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Input Tray                                                 */
    /*** .......................................................... */
    /*** Names of the input trays.                                  */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opInpTry[] = {
   "OP_IT_NOT_SET",
   "OP_IT_RSV1",
   "OP_IT_ANY_SMALL_FORMAT",
   "OP_IT_ANY_LARGE_FORMAT",
   "OP_IT_AUTO_SELECT",
   "OP_IT_BOTTOM",
   "OP_IT_BYPASS_TRAY",
   "OP_IT_BYPASS_TRAY_1",
   "OP_IT_BYPASS_TRAY_2",
   "OP_IT_BYPASS_TRAY_3",

   "OP_IT_CONTINUOUS",
   "OP_IT_DISC",
   "OP_IT_DISC_1",
   "OP_IT_DISC_2",
   "OP_IT_DISC_3",
   "OP_IT_ENVELOPE",
   "OP_IT_ENVELOPE_1",
   "OP_IT_ENVELOPE_2",
   "OP_IT_ENVELOPE_3",
   "OP_IT_FRONT",

   "OP_IT_INSERT_TRAY",
   "OP_IT_INSERT_TRAY_1",
   "OP_IT_INSERT_TRAY_2",
   "OP_IT_INSERT_TRAY_3",
   "OP_IT_LARGE_CAPACITY",
   "OP_IT_LARGE_CAPACITY_1",
   "OP_IT_LARGE_CAPACITY_2",
   "OP_IT_LARGE_CAPACITY_3",
   "OP_IT_LEFT",
   "OP_IT_MIDDLE",

   "OP_IT_REAR",
   "OP_IT_RIGHT",  /* */

   "OP_IT_ROLL",
   "OP_IT_ROLL_1",
   "OP_IT_ROLL_2",
   "OP_IT_ROLL_3",
   "OP_IT_SIDE",
   "OP_IT_TOP",
   "OP_IT_TRAY",
   "OP_IT_TRAY_1",
   "OP_IT_TRAY_2",
   "OP_IT_TRAY_3",

   "OP_IT_EOL",
   "OP_IT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Jog Offset                                                 */
    /*** .......................................................... */
    /*** Whether or not the job and job copies are to be offset     */
    /*** stacked.                                                   */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opJogOff[] = {
   "OP_JO_NOT_SET",
   "OP_JO_NONE",
   "OP_JO_ALTERNATE",
   "OP_JO_EOL",
   "OP_JO_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Length Unit                                                */
    /*** .......................................................... */
    /*** Unit of measure to use when specifying length.             */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opUnits[] = {
   "OP_UT_NOT_SET",
   "OP_UT_RSV1",
   "OP_UT_MICROMETERS",
   "OP_UT_POINTS",
   "OP_UT_TEN_THOUSANDTHS_OF_INCHES",
   "OP_UT_PRINT_DPI",
   "OP_UT_EOL",
   "OP_UT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Media Color                                                */
    /*** .......................................................... */
    /*** Color of the media.                                        */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opMedClr[] = {
   "OP_MC_NOT_SET",
   "OP_MC_RSV1",
/* Black    */
   "OP_MC_BLACK",        /*{0x00", 0x00", 0x00}{000", 000", 000}*/
   "OP_MC_CLEAR_BLACK",  /*{0x00", 0x00", 0x00}{000", 000", 000}*/
   "OP_MC_DARK_BLACK",   /*{0x00", 0x00", 0x00}{000", 000", 000}*/
   "OP_MC_LIGHT_BLACK",  /*{0x00", 0x00", 0x00}{000", 000", 000}*/

/* Blue     */
   "OP_MC_BLUE",         /*{0x00", 0x00", 0xFF}{000", 000", 255}*/
   "OP_MC_CLEAR_BLUE",   /*{0x00", 0x00", 0xFF}{000", 000", 255}*/
   "OP_MC_DARK_BLUE",    /*{0x00", 0x00", 0x8B}{000", 000", 139}*/
   "OP_MC_LIGHT_BLUE",   /*{0xAD", 0xD8", 0xE6}{173", 216", 230}*//**/

/* Brown    */
   "OP_MC_BROWN",        /*{0xA5", 0x2A", 0x2A}{165", 042", 042}*/
   "OP_MC_CLEAR_BROWN",  /*{0x65", 0x43", 0x21}{101", 067", 033}*/
   "OP_MC_DARK_BROWN",   /*{0x5C", 0x40", 0x33}{092", 064", 051}*/
   "OP_MC_LIGHT_BROWN",  /*{0x99", 0x66", 0xFF}{153", 102", 000}*/

/* Buff     */
   "OP_MC_BUFF",         /*{0xF0", 0xDC", 0x82}{240", 220", 130}*/
   "OP_MC_CLEAR_BUFF",   /*{0xF0", 0xDC", 0x82}{240", 220", 130}*/
   "OP_MC_DARK_BUFF",    /*{0x97", 0x66", 0x38}{151", 102", 056}*/
   "OP_MC_LIGHT_BUFF",   /*{0xEC", 0xD9", 0xB0}{236", 217", 176}*/

/* Cyan     */
   "OP_MC_CYAN",         /*{0x00", 0xFF", 0xFF}{000", 255", 255}*/
   "OP_MC_CLEAR_CYAN",   /*{0x00", 0xFF", 0xFF}{000", 255", 255}*//**/
   "OP_MC_DARK_CYAN",    /*{0x00", 0x8B", 0x8B}{000", 139", 139}*/
   "OP_MC_LIGHT_CYAN",   /*{0xE0", 0xFF", 0xFF}{224", 255", 255}*/

/* Gold     */
   "OP_MC_GOLD",         /*{0xFF", 0xD7", 0x00}{255", 215", 000}*/
   "OP_MC_CLEAR_GOLD",   /*{0xD4", 0xAF", 0x37}{212", 175", 055}*/
   "OP_MC_DARK_GOLD",    /*{0xEE", 0xBC", 0x1D}{238", 188", 029}*/
   "OP_MC_LIGHT_GOLD",   /*{0xF1", 0xE5", 0xAC}{241", 229", 172}*/

/* Goldenrod*/
   "OP_MC_GOLDENROD",    /*{0xDA", 0xA5", 0x20}{218", 165", 032}*/
   "OP_MC_CLEAR_GODLENROD",/*{0xDA", 0xA5", 0x20}{218", 165", 032}*/
   "OP_MC_DARK_GOLDENROD",/*{0xB8", 0x86", 0x0B}{184", 134", 011}*/
   "OP_MC_LIGHT_GOLDENROD",/*{0xFF", 0xEC", 0x8B}{255", 236", 139}*//**/

/* Gray     */
   "OP_MC_GRAY",         /*{0x80", 0x80", 0x80}{128", 128", 128}*/
   "OP_MC_CLEAR_GRAY",   /*{0x80", 0x80", 0x80}{128", 128", 128}*//*1*/
   "OP_MC_DARK_GRAY",    /*{0xA9", 0xA9", 0xA9}{169", 169", 169}*/
   "OP_MC_LIGHT_GRAY",   /*{0xD3", 0xD3", 0xD3}{211", 211", 211}*/

/* Green    */
   "OP_MC_GREEN",        /*{0x00", 0x80", 0x00}{000", 128", 000}*/
   "OP_MC_CLEAR_GREEN",  /*{0x00", 0x80", 0x00}{000", 128", 000}*/
   "OP_MC_DARK_GREEN",   /*{0x00", 0x64", 0x00}{000", 100", 000}*/
   "OP_MC_LIGHT_GREEN",  /*{0x90", 0xEE", 0x90}{144", 238", 144}*/

/* Ivory    */
   "OP_MC_IVORY",        /*{0xFF", 0xFF", 0xF0}{255", 255", 240}*/
   "OP_MC_CLEAR_IVORY",  /*{0xFF", 0xFF", 0xF0}{255", 255", 240}*/
   "OP_MC_DARK_IVORY",   /*{0xF2", 0xE5", 0x8F}{242", 229", 143}*/
   "OP_MC_LIGHT_IVORY",  /*{0xFF", 0xF8", 0xC9}{255", 248", 201}*//**/

/* Magenta  */
   "OP_MC_MAGENTA",      /*{0xFF", 0x00", 0xFF}{255", 000", 255}*/
   "OP_MC_CLEAR_MAGENTA",/*{0xFF", 0x00", 0xFF}{255", 000", 255}*/
   "OP_MC_DARK_MAGENTA", /*{0x8B", 0x00", 0x8B}{139", 000", 139}*/
   "OP_MC_LIGHT_MAGENTA",/*{0xFF", 0x77", 0xFF}{255", 119", 255}*/

/* Mult     */
   "OP_MC_MULTI_COLOR",  /*{0x00", 0x00", 0x00}{000", 000", 000}*/
  "OP_MC_CLEAR_MULTI_COLOR",/*{0x00", 0x00", 0x00}{000", 000", 000}*/
   "OP_MC_DARK_MULTI_COLOR",/*{0x00", 0x00", 0x00}{000", 000", 000}*/
  "OP_MC_LIGHT_MULTI_COLOR",/*{0x00", 0x00", 0x00}{000", 000", 000}*/

/* Mustard  */
   "OP_MC_MUSTARD",      /*{0xFF", 0xDB", 0x58}{255", 219", 088}*/
   "OP_MC_CLEAR_MUSTARD",/*{0xFF", 0xDB", 0x58}{255", 219", 088}*//**/
   "OP_MC_DARK_MUSTARD", /*{0x7C", 0x7C", 0x40}{124", 124", 064}*/
   "OP_MC_LIGHT_MUSTARD",/*{0xEE", 0xDD", 0x62}{238", 221", 098}*/

/* No Color */
   "OP_MC_NO_COLOR",     /*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/
   "OP_MC_CLEAR_NO_COLOR",/*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/
   "OP_MC_DARK_NO_COLOR",/*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/
   "OP_MC_LIGHT_NO_COLOR",/*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/

/* Orange   */
   "OP_MC_ORANGE",       /*{0xFF", 0xA5", 0x00}{255", 165", 000}*/
   "OP_MC_CLEAR_ORANGE", /*{0xFF", 0x7F", 0x00}{255", 127", 000}*/
   "OP_MC_DARK_ORANGE",  /*{0xFF", 0x8C", 0x00}{255", 140", 000}*/
   "OP_MC_LIGHT_ORANGE", /*{0xD9", 0xA4", 0x65}{217", 164", 101}*//**/

/* Pink     */
   "OP_MC_PINK",         /*{0xFF", 0xC0", 0xCB}{255", 192", 203}*/
   "OP_MC_CLEAR_PINK",   /*{0xFF", 0xC0", 0xCB}{255", 192", 203}*//*2*/
   "OP_MC_DARK_PINK",    /*{0xE7", 0x54", 0x80}{231", 084", 128}*/
   "OP_MC_LIGHT_PINK",   /*{0xFF", 0xB6", 0xC1}{255", 182", 193}*/

/* Red      */
   "OP_MC_RED",          /*{0xFF", 0x00", 0x00}{255", 000", 000}*/
   "OP_MC_CLEAR_RED",    /*{0xFF", 0x00", 0x00}{255", 000", 000}*/
   "OP_MC_DARK_RED",     /*{0x8B", 0x00", 0x00}{139", 000", 000}*/
   "OP_MC_LIGHT_RED",    /*{0xFF", 0x33", 0x33}{255", 051", 051}*/

/* Silver   */
   "OP_MC_SILVER",       /*{0xC0", 0xC0", 0xC0}{192", 192", 192}*/
   "OP_MC_CLEAR_SILVER", /*{0xC0", 0xC0", 0xC0}{192", 192", 192}*/
   "OP_MC_DARK_SILVER",  /*{0xAF", 0xAF", 0xAF}{175", 175", 175}*/
   "OP_MC_LIGHT_SILVER", /*{0xE6", 0xE1", 0xE1}{230", 225", 225}*//**/

/* Turquoise*/
   "OP_MC_TURQUOISE",    /*{0x30", 0xD5", 0xC8}{048", 213", 200}*/
   "OP_MC_CLEAR_TURQUOISE",/*{0x30", 0xD5", 0xC8}{048", 213", 200}*/
   "OP_MC_DARK_TURQUOISE",/*{0x00", 0xCE", 0xD1}{000", 206", 209}*/
   "OP_MC_LIGHT_TURQUOISE",/*{0xAf", 0xE4", 0xDE}{175", 228", 222}*/

/* Violet   */
   "OP_MC_VIOLET",       /*{0xEE", 0x82", 0xEE}{238", 130", 238}*/
   "OP_MC_CLEAR_VIOLET", /*{0x8B", 0x00", 0xFF}{139", 000", 255}*/
   "OP_MC_DARK_VIOLET",  /*{0x94", 0x00", 0xD3}{148", 000", 211}*/
   "OP_MC_LIGHT_VIOLET", /*{0x7A", 0x52", 0x99}{122", 082", 153}*/

/* White    */
   "OP_MC_WHITE",        /*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/
   "OP_MC_CLEAR_WHITE",  /*{0xFF", 0xFF", 0xFF}{255", 255", 255}*//**/
   "OP_MC_DARK_WHITE",   /*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/
   "OP_MC_LIGHT_WHITE",  /*{0xFF", 0xFF", 0xFF}{255", 255", 255}*/

/* Yellow */
   "OP_MC_YELLOW",       /*{0xFF", 0xFF", 0x00}{255", 255. 000}*/
   "OP_MC_CLEAR_YELLOW", /*{0xFF", 0xFF", 0x00}{255", 255. 000}*/
   "OP_MC_DARK_YELLOW",  /*{0xFF", 0xCC", 0x00}{255", 204", 000}*/
   "OP_MC_LIGHT_YELLOW", /*{0xFF", 0xFF", 0xE0}{255", 255", 224}*/

   "OP_MC_EOL",
   "OP_MC_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Media Preprinted                                           */
    /*** .......................................................... */
    /***  Whether or not the media is preprinted.                   */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opMedPre[] = {
   "OP_MP_NOT_SET",
   "OP_MP_RSV1",
   "OP_MP_BLANK",
   "OP_MP_LETTERHEAD",
   "OP_MP_PREPRINTED",
   "OP_MP_EOL",
   "OP_MP_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Media Type                                                 */
    /*** .......................................................... */
    /*** Type of the media.                                         */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opMedTyp[] = {
   "OP_MT_NOT_SET",
   "OP_MT_RSV1",
   "OP_MT_CARD_STOCK",
   "OP_MT_CONTINUOUS",
   "OP_MT_CONTINUOUS_LONG",
   "OP_MT_CONTINUOUS_SHORT",
   "OP_MT_DISC",
   "OP_MT_ENVELOPE",
   "OP_MT_ENVELOPE_PLAIN",
   "OP_MT_ENVELOPE_WINDOW",
   "OP_MT_FILM_PHOTOGRAPHIC",
   "OP_MT_FILM_BACK_PRINT",
   "OP_MT_FULL_CUT_TABS",
   "OP_MT_LABELS",
   "OP_MT_MULTI_LAYER",
   "OP_MT_MULTI_PART_FORMS",
   "OP_MT_PHOTOGRAPHIC",
   "OP_MT_PRE_CUT_TABS",
   "OP_MT_ROLL",
   "OP_MT_STATIONERY",        /* Same as plain and paper */
   "OP_MT_PLAIN",          /* Added by gwp */
   "OP_MT_TAB_STOCK",
   "OP_MT_TRANSPARENCY",
   "OP_MT_FLYER",          /* Added by gwp */
   "OP_MT_MATTE",          /* Added by gwp */
   "OP_MT_PHOTO_INKJET",   /* Added by gwp */
   "OP_MT_EOL",
   "OP_MT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Output Bin                                                 */
    /*** .......................................................... */
    /*** Names of output bins.                                      */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opOutBin[] = {
   "OP_OB_NOT_SET",
   "OP_OB_RSV1",
   "OP_OB_AUTO_SELECT",    /* Added by gwp */
   "OP_OB_BOOKLET",
   "OP_OB_BOTTOM",
   "OP_OB_CENTER",
   "OP_OB_FACE_DOWN",
   "OP_OB_FACE_UP",
   "OP_OB_FIT_MEDIA",
   "OP_OB_FRONT",          /* Added by gwp */

   "OP_OB_LARGE_CAPACITY",
   "OP_OB_LEFT",
   "OP_OB_MAILBOX",
   "OP_OB_MAILBOX_1",
   "OP_OB_MAILBOX_2",
   "OP_OB_MAILBOX_3",
   "OP_OB_MIDDLE",
   "OP_OB_MY_MAILBOX",
   "OP_OB_REAR",
   "OP_OB_RIGHT",

   "OP_OB_SIDE",
   "OP_OB_STACKER",
   "OP_OB_STACKER_1",
   "OP_OB_STACKER_2",

   "OP_OB_STACKER_3",
   "OP_OB_TOP",
   "OP_OB_TRAY",
   "OP_OB_TRAY_1",
   "OP_OB_TRAY_2",
   "OP_OB_TRAY_3",

   "OP_OB_EOL",
   "OP_OB_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Output Order                                               */
    /*** .......................................................... */
    /*** How the pages are to be ordered when output.               */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opOutOdr[] = {
   "OP_OO_NOT_SET",
   "OP_OO_RSV1",
   "OP_OO_FAN_FOLD",
   "OP_OO_REVERSE_ORDER",     /* added by gwp */
   "OP_OO_REVERSE_ORDER_FACE_DOWN",
   "OP_OO_REVERSE_ORDER_FACE_UP",
   "OP_OO_SAME_ORDER",        /* added by gwp */
   "OP_OO_SAME_ORDER_FACE_DOWN",
   "OP_OO_SAME_ORDER_FACE_UP",
   "OP_OO_EOL",
   "OP_OO_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Presentation Direction                                     */
    /*** .......................................................... */
    /*** Placement order of the pages.                              */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opPrsDir[] = {
   "OP_PD_NOT_SET",
   "OP_PD_RSV1",
   "OP_PD_TO_RIGHT_TO_BOTTOM",
   "OP_PD_TO_BOTTOM_TO_RIGHT",
   "OP_PD_TO_LEFT_TO_BOTTOM",
   "OP_PD_TO_BOTTOM_TO_LEFT",
   "OP_PD_TO_RIGHT_TO_TOP",
   "OP_PD_TO_TOP_TO_RIGHT",
   "OP_PD_TO_LEFT_TO_TOP",
   "OP_PD_TO_TOP_TO_LEFT",
   "OP_PD_EOL",
   "OP_PD_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Content Type                                               */
    /*** .......................................................... */
    /*** What to optimize when printing.                            */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opCntTyp[] = {
   "OP_CT_NOT_SET",
   "OP_CT_RSV1",
   "OP_CT_GRAPHICS",
   "OP_CT_PHOTO",
   "OP_CT_TEXT",
   "OP_CT_TEXT_AND_GRAPHICS",
   "OP_CT_EOL",
   "OP_CT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Print Quality                                              */
    /*** .......................................................... */
    /*** The quality of the print to produce.                       */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opPrtQal[] = {
   "OP_PQ_NOT_SET",
   "OP_PQ_RSV1",
   "OP_PQ_DRAFT",
   "OP_PQ_HIGH",
   "OP_PQ_NORMAL",
   "OP_PQ_EOL",
   "OP_PQ_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Reference Edge                                             */
    /*** .......................................................... */
    /*** Reference edge from where the operation is to occur.       */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opRefEdg[] = {
   "OP_RE_NOT_SET",
   "OP_RE_RSV1",
   "OP_RE_BOTTOM",
   "OP_RE_LEFT",
   "OP_RE_RIGHT",
   "OP_RE_TOP",
   "OP_RE_EOL",
   "OP_RE_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Output Orientation                                         */
    /*** .......................................................... */
    /*** How much to rotate an image.                               */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opOutOri[] = {
   "OP_OR_NOT_SET",
   "OP_OR_RSV1",
   "OP_OR_0_DEGREES",
   "OP_OR_180_DEGREES",
   "OP_OR_270_DEGREES",
   "OP_OR_90_DEGREES",
   "OP_OR_EOL",
   "OP_OR_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Separator Sheet                                            */
    /*** .......................................................... */
    /*** Type of start", separator/slip", end sheets to include with*/
    /*** the job.                                                   */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opSepSht[] = {
   "OP_SS_NOT_SET",
   "OP_SS_NONE",       /* added by gwp */
   "OP_SS_AFTER_DOC_COPIES",
   "OP_SS_AFTER_JOB",
   "OP_SS_BEFORE_DOC_COPIES",
   "OP_SS_BEFORE_JOB",
   "OP_SS_BETWEEN_DOC_COPIES",
   "OP_SS_BETWEEN_JOB_COPIES",
   "OP_SS_EOL",
   "OP_SS_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Media (Print) Side                                         */
    /*** .......................................................... */
    /*** Side of the sheet to image on.                             */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opMedSid[] = {
   "OP_MS_NOT_SET",
   "OP_MS_RSV1",
   "OP_MS_BACK",
   "OP_MS_FRONT",
   "OP_MS_ONE_SIDED_FRONT",
   "OP_MS_ONE_SIDED_LONG_EDGE_BACK",
   "OP_MS_ONE_SIDED_SHORT_EDGE_BACK",
   "OP_MS_TWO_SIDED_LONG_EDGE",
   "OP_MS_TWO_SIDED_SHORT_EDGE",
   "OP_MS_EOL",
   "OP_MS_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Stitch Type                                                */
    /*** .......................................................... */
    /*** Whether or not to stitch and where to place the stitch.    */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opSchTyp[] = {
   "OP_ST_NOT_SET",
   "OP_ST_NONE",
   "OP_ST_CORNER",
   "OP_ST_SADDLE",
   "OP_ST_SIDE",
   "OP_ST_EOL",
   "OP_ST_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Event Subscription                                         */
    /*** .......................................................... */
    /*** Events to subscribe for.                                   */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opEvtSub[] = {
   "OP_ES_NOT_SET",
   "OP_ES_NONE",           /* Added by gwp */
   "OP_ES_ALL",            /* Added by gwp */
   "OP_ES_JOB_COMPLETED",
   "OP_ES_JOB_CONFIG_CHANGED",
   "OP_ES_JOB_CREATED",
   "OP_ES_JOB_ERROR",
   "OP_ES_JOB_PROGRESS",
   "OP_ES_JOB_STATE_CHANGED",
   "OP_ES_JOB_STATE_ONLY_CHANGED",
   "OP_ES_JOB_STOPPED",
   "OP_ES_JOB_WARNING",
   "OP_ES_EOL",
   "OP_ES_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Trim Type                                                  */
    /*** .......................................................... */
    /*** Method for trimming pages.                                 */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opTrmTyp[] = {
   "OP_TT_NOT_SET",
   "OP_TT_NONE",
   "OP_TT_FACE",
   "OP_TT_GUTTER",
   "OP_TT_TAB",
   "OP_TT_TRIM",
   "OP_TT_EOL",
   "OP_TT_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Raster Pixel Number and Size(bits)                         */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opRasPix[] = {
   "OP_RP_NOT_SET",
   "OP_RP_RSV1",
   "OP_RP_BW_1",                 /* Black/White 1-bit            */
   "OP_RP_COLOR_12",             /* RGB  444                     */
   "OP_RP_COLOR_15",             /* RGB  555                     */
   "OP_RP_COLOR_16",             /* RGB  5/6/5                   */
   "OP_RP_COLOR_24",             /* RGB  8/8/8                   */
   "OP_RP_GRAY_4",               /* Gray 4-bit                   */
   "OP_RP_GRAY_8",               /* Gray                         */
   "OP_RP_MAPPED_8",             /* Mapped 8 bit (256 colors)    */
   "OP_RP_DEVICECMYK_24",        /* CMYK 8/8/8/8                 */
   "OP_RP_EOL",
   "OP_RP_NUM_OF"
};

    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
    /*** Color System/Space                                         */
    /*** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
gpCHAR* opColSys[] = {
   "OP_CS_NOT_SET",
   "OP_CS_RSV1",
   "OP_CS_BW",                      /* Black/White                  */
   "OP_CS_SRGB",                    /* "Standard" RGB               */
   "OP_CS_SGRAY",                   /* "Standard: Gray              */
   "OP_CS_DEVICERGB",               /* "Device"   RGB               */
   "OP_CS_DEVICECMYK",              /* "Device"   CMYK              */
   "OP_CS_EOL",
   "OP_CS_NUM_OF"
};

/* ---------------------------------------- Local Global Variables ---------------------------------------- */
/* ..................................................|..................................................... */

/* ----------------------------------- Graphic Elements for Main Window ----------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Function Declarations ----------------------------------------- */
/* ..................................................|..................................................... */

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
/*        1         2         3         4         5         6         7         8         9         10      */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/* ======================================================================================================== */
/*                                                                                                          */
/* ===================================== op.job.ticket.attributes.c ======================================= */
/*                                                                                                          */
/*  END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE   */
/* -------------------------------------------------------------------------------------------------------- */
