/*_______________________  gp.qt.win.dat.h   _______________________*/

/*       1         2         3         4         5         6        */
/*345678901234567890123456789012345678901234567890123456789012345678*/
/*********************************|**********************************/

/*********************************|**********************************/
/*                                                                  */
/* Copyright (c) 2011-2011 SEIKO EPSON CORP.   All Rights Reserved  */
/*                                                                  */
/*                    Common Public License - v 1.0                 */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS   */
/*   COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR  */
/*   DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE */
/*   OF THIS AGREEMENT.                                             */
/*                                                                  */
/*   The Common Public License in its entirety is located in        */
/*                                                                  */
/*                    gpCommonPublicLicense.txt                     */
/*                                                                  */
/*   and applies to the contents of this file.                      */
/*                                                                  */
/*******%*******************%*****|**********************************/
/*                                                                  */
/* Code States:                                                     */
/*      Initial                                                     */
/*      Developing                                                  */
/*      Working                                                     */
/*      Tested                                                      */
/*      Refactored                                                  */
/*      Final Candidate                                             */
/*                          Final Code                              */
/*                                                                  */
/*******%*******************%*****|**********************************/
#ifndef __GENERAL_QT_WIN_DAT_H__
#define __GENERAL_QT_WIN_DAT_H__

/*------------------  Special Includes for GUI   -------------------*/
/*................................|.................................*/
#include <QtGui>                  /* MUST COME FIRST                */
#include <QGLWidget>

/*---------------------------  Includes   --------------------------*/
/*................................|.................................*/
#include "gp.typedefs.h"

/*-------------------------- Data Types ----------------------------*/
/*................................|.................................*/

/*------------------------  Generic Macros   -----------------------*/
/*................................|.................................*/

/*-------------------------  Definitions  --------------------------*/
/*................................|.................................*/
#define GTKGUI  0
#define QTGUI   1

/* ######################## GTK GTK GTK ########################### */
#if GTKGUI


#endif
/* ######################### QT QT QT ############################# */
#if QTGUI
    /*** CallBack Function                                          */
    /*** .......................................................... */
typedef gpVOID (*gwCBFR)(QObject*);
    /*** Paint Canvas Function                                      */
    /*** .......................................................... */
typedef gpVOID (*gwPCFR)(void);

    /*** CallBack Mechanism                                         */
    /*** .......................................................... */
#include "gw.qt.win.process.h"

    /*** Define Globals variables needed for Windowing              */
#define  gwGlobals    gwCBFunction*     gwCBF[20];           \
                      QSignalMapper*    gwSM[20];            \
                      QImage*           gwBaseImg  = gpNULL; \
                      QImage*           gwTransImg = gpNULL; \
                      QPainter*         gwPntr;              \
                      QTreeWidgetItem*  gwTreeItem[10];      \
                      gpBIT32 gwdx

extern  gwCBFunction*     gwCBF[20];
extern  QSignalMapper*    gwSM[20];
extern  QImage*           gwBaseImg;
extern  QImage*           gwTransImg;
extern  QPainter*         gwPntr;
extern  QTreeWidgetItem*  gwTreeItem[10];
extern  gpBIT32           gwdx;

    /*** Colors                                                     */
    /*** .......................................................... */
#define   gwNone                0
#define   gwWhite               Qt::white
#define   gwBlack               Qt::black

#define   gwRed                 Qt::red
#define   gwGreen               Qt::green
#define   gwBlue                Qt::blue
#define   gwDarkRed             Qt::darkRed
#define   gwDarkGreen           Qt::darkGreen
#define   gwDarkBlue            Qt::darkBlue

#define   gwCyan                Qt::cyan
#define   gwMagenta             Qt::magenta
#define   gwYellow              Qt::yellow
#define   gwDarkCyan            Qt::darkCyan
#define   gwDarkMagenta         Qt::darkMagenta
#define   gwDarkYellow          Qt::darkYellow

#define   gwGray                Qt::gray
#define   gwLightGray           Qt::lightGray
#define   gwDarkGray            Qt::darkGray

#define   gwTransparent         Qt::transparent

/*** Keyboard Modifiers                                             */
#define   gwKEY_MOD_NONE        Qt::NoModifier        /* 0x00000000 */
#define   gwKEY_MOD_SHIFT       Qt::ShiftModifier     /* 0x02000000 */
#define   gwKEY_MOD_CONTROL     Qt::ControlModifier   /* 0x04000000 */
#define   gwKEY_MOD_ALT         Qt::AltModifier       /* 0x08000000 */
#define   gwKEY_MOD_META        Qt::MetaModifier      /* 0x10000000 */
#define   gwKEY_MOD_KEY_PAD     Qt::KeypadModifier    /* 0x20000000 */

/*** Mouse Button                                                   */
#define   gwMOUSE_BUT_NONE      Qt::NoButton          /* 0x00000000 */
#define   gwMOUSE_BUT_LEFT      Qt::LeftButton        /* 0x00000001 */
#define   gwMOUSE_BUT_RIGHT     Qt::RightButton       /* 0x00000002 */
#define   gwMOUSE_BUT_MIDDLE    Qt::MiddleButton      /* 0x00000004 */

/*** Alignment Values                                               */
    /*** .......................................................... */
    /*** Horizontal Alignment Values                                */
    /*** .......................................................... */
#define   gwALIGN_LEFT          Qt::AlignLeft    /* 0x0001          */
#define   gwALIGN_RIGHT         Qt::AlignRight   /*	0x0002          */
#define   gwALIGN_H_CENTER      Qt::AlignHCenter /* 0x0004          */
#define   gwALIGN_JUSTIFY       Qt::AlignJustify /*	0x0008          */

    /*** Vertical Alignment Values                                  */
    /*** .......................................................... */
#define   gwALIGN_TOP           Qt::AlignTop     /* 0x0020          */
#define   gwALIGN_BOTTOM        Qt::AlignBottom  /*	0x0040          */
#define   gwALIGN_V_CENTER      Qt::AlignVCenter /*	0x0080          */

#define   gwStrCvt               QString::fromUtf8
#define   gwWINDOW               QWidget
#define   gwWindowInitialize(c,v) QApplication gwApp(c,v);          \
                                  for(gwdx=0;gwdx<20;gwdx++)        \
                                  {gwCBF[gwdx]=NULL;gwSM[gwdx]=NULL;}
#define   gwWindowNew            new QWidget
#define   gwWindowTitle(w,s)     (w)->setWindowTitle(s)
#define   gwWindowShow(w)        (w)->show()
#define   gwWindowExec()         gwApp.exec()

#define   gwWindowSize(w,x,y)    (w)->resize((x),(y))
#define   gwWindowMove(w,x,y)    (w)->move((x),(y))
#define   gwWindowFrame(d,l,t,w,h)      (d)->setGeometry(QRect(l,t,w,h))
#define   gwWindowClose(d)              (d)->~QWidget()

#define   gwFONT                        QFont
#define   gwFontNew(w)                  new QFont
#define   gwFontSize(f,s)               (f)->setPointSize(s)
#define   gwFontBold(f)                 (f)->setBold(true);               \
                                        (f)->setWeight(75)


#define   gwLABEL                       QLabel
#define   gwLabelNew(w)                 new QLabel(w)
#define   gwLabelTitle(d,t)             (d)->setText(t)
#define   gwLabelFrame(d,l,t,w,h)       (d)->setGeometry(QRect(l,t,w,h))
#define   gwLabelFont(d,f)              (d)->setFont(*f)
#define   gwLabelAlign(d,a)             (d)->setAlignment(a)

#define   gwICON                        QLabel
#define   gwIconNew(w)                  new QLabel(w)
#define   gwIconFrame(d,l,t,w,h)        (d)->setGeometry(QRect(l,t,w,h)); \
                                        (d)->setScaledContents(true)
#define   gwIconImageFile(d,f)          (d)->setPixmap(                   \
                                        QPixmap(QString::fromUtf8(f)))
#define   gwIconShow(d,s)               if (s!=0)(d)->show();             \
                                        else (d)->hide()
#define   gwSetCallBackFncNew(c)        for(gwdx=0;gwdx<20;gwdx++)        \
                                        {if (gwCBF[gwdx]==NULL) break;}   \
                                        gwCBF[gwdx]= new gwCBFunction();   \
                                        gwCBF[gwdx]->SetgwCBFR(c);        \
                                        gwSM[gwdx]=new QSignalMapper(gwCBF[gwdx]); \
                                        QObject::connect(gwSM[gwdx],      \
                                        SIGNAL(mapped(QObject*)),         \
                                        gwCBF[gwdx],SLOT(Process(QObject*)))
#define   gwConnect(c,d,s)              for(gwdx=0;gwdx<20;gwdx++)        \
                                        {if (gwCBF[gwdx]->userProcessRoutine==c) break;}   \
                                        gwSM[gwdx]->setMapping(d, (QObject*)d); \
                                        QObject::connect(d, SIGNAL(s),    \
                                        gwSM[gwdx], SLOT (map()))

#define   gwDIALOG                      QDialog
#define   gwDialogNew                   new QDialog
#define   gwDialogFrame(d,l,t,w,h)      (d)->setGeometry(QRect(l,t,w,h))
#define   gwDialogTitle(d,t)            (d)->setWindowTitle(t)
#define   gwDialogSize(d,x,y)           (d)->resize((x),(y))
#define   gwDialogShow(d)               (d)->show()
#define   gwDialogClose(d)              (d)->~QDialog()

#define   gwTREELIST                    QTreeWidget
#define   gwTreeListNew(w)              new QTreeWidget(w)
#define   gwTreeListFrame(d,l,t,w,h)    (d)->setGeometry(QRect(l,t,w,h))
#define   gwTreeListTitle(d,t)          (d)->setHeaderItem(new QTreeWidgetItem( \
                                        (QTreeWidget*)0, QStringList(t)))

#define   gwTreeListAddNext(d,l,s)      gwTreeItem[(l)]= new QTreeWidgetItem(\
                                        (QTreeWidget*)0, QStringList(s));\
                                        if ((l)==0){(d)->addTopLevelItem(gwTreeItem[(l)]);}\
                                        else {gwTreeItem[(l)-1]->addChild(gwTreeItem[(l)]);}

#define   gwTreeListGetAddress(t)       gwTreeItem[(t)]

#define   gwTreeListSelectItem(d,s)     (d)->setCurrentItem((QTreeWidgetItem*)(d)->findItems(\
                                        (const QString)(s),Qt::MatchExactly | Qt::MatchRecursive)[0],1)

#define   gwTreeListSetItemFont(d,f)    ((QTreeWidgetItem*)((d)->currentItem()))->setFont(0,*f)

#define   gwTreeListSetCurrentItemColor(d,c)   ((QTreeWidgetItem*)((d)->currentItem()))\
                                          ->setForeground(0,*(new QBrush(c)))

// #define   gwTreeListSetThisItemColor(d,c) gwTreeItem[(d)]->setForeground(0,*(new QBrush(c)))

#define   gwTreeListSetThisItemColor(d,c) ((QTreeWidgetItem*)(d))->setForeground(0,*(new QBrush(c)))


#define   gwTreeListAddMenuItem(d,i)    (d)->setContextMenuPolicy(Qt::ActionsContextMenu);\
                                        (d)->addAction(i);

#define   gwTreeListConnect(c,d,s)      gwConnect(c,d,s)

#define   gwMENU                        QMenu
#define   gwMenu(w)                     new QMenu(w)
#define   gwMENUITEM                    QAction
#define   gwNewMenuItem(n,m)            new QAction(n,m)
#define   gwAddMenuItem(m,s)            (s)->isCheckable();\
                                        (s)->setCheckable(gpTRUE); \
                                        (m)->addAction(s)

#define   gwMenuConnect(c,d,s)          gwConnect(c,d,s)



#define   gwDROPLIST                    QComboBox
#define   gwDropListNew(w)              new QComboBox(w)
#define   gwDropListFrame(d,l,t,w,h)    (d)->setGeometry(QRect(l,t,w,h))
#define   gwDropListAddItem(d,l)        (d)->addItem(l)
#define   gwDropListAddSeparator(d,l)   (d)->insertSeparator(l)
#define   gwDropListSelectItem(d,s)     (d)->setCurrentIndex(s)
#define   gwDropListSetItemColor(d,s,c) (d)->setItemData(s, c,            \
                                        Qt::DecorationRole)
#define   gwDropListSetSelectColor(d,c) QPalette pal##d = (d)->view()->palette(); \
                                        pal##d.setColor(QPalette::HighlightedText, c);\
                                        (d)->view()->setPalette(pal##d)
#define   gwDropListConnect(c,d,s)      gwConnect(c,d,s)
#define   gwDropListGetIndex(d)         (d)->currentIndex()

#define   gwRADIOBUTTON                 QRadioButton
#define   gwRadioButtonNew(w)           new QRadioButton(w)
#define   gwRadioButtonTitle(d,t)       (d)->setText(t)
#define   gwRadioButtonFrame(d,l,t,w,h) (d)->setGeometry(QRect(l,t,w,h))
#define   gwRadioButtonChecked(d,b)     (d)->setChecked(b)
#define   gwRadioButtonConnect(c,d,s)   gwConnect(c,d,s)

#define   gwRADIOBUTTONGROUP            QButtonGroup
#define   gwRadioButtonGroupNew(w)      new QButtonGroup(w)
#define   gwRadioButtonGroupAdd(g,d)    (g)->addButton(d)

#define   gwPUSHBUTTON                  QPushButton
#define   gwPushButtonNew(w)            new QPushButton(w);
#define   gwPushButtonTitle(d,t)        (d)->setText(t)
#define   gwPushButtonIcon(d,f)         (d)->setIcon(QIcon(f))
#define   gwPushButtonDown(d)           (d)->setFlat(gpTRUE)
#define   gwPushButtonUp(d)             (d)->setFlat(gpFALSE)
#define   gwPushButtonFrame(d,l,t,w,h)  (d)->setGeometry(QRect(l,t,w,h))
#define   gwPushButtonBkColor(d,c)      (d)->setBackgroundRole(c)
#define   gwPushButtonConnect(c,d,s)    gwConnect(c,d,s)


#define   gwCHECKBOX                    QCheckBox
#define   gwCheckBoxNew(w)              new QCheckBox(w)
#define   gwCheckBoxTitle(d,t)          (d)->setText(t)
#define   gwCheckBoxFrame(d,l,t,w,h)    (d)->setGeometry(QRect(l,t,w,h))
#define   gwCheckBoxFont(d,f)           (d)->setFont(*f)
#define   gwCheckBoxAlign(d,a)          (d)->setAlignment(a)
#define   gwCheckBoxConnect(c,d,s)      gwConnect(c,d,s)

#define   gwEDITLINE                    QTextEdit
#define   gwEditLineNew(w)              new QTextEdit(w);                 \
                                        QSizePolicy gwSizePolicy(         \
                                        QSizePolicy::Expanding,           \
                                        QSizePolicy::Expanding);          \
                                        gwSizePolicy.setHorizontalStretch(0);\
                                        gwSizePolicy.setVerticalStretch(0);
#define   gwEditLineFrame(d,l,t,w,h)    gwSizePolicy.setHeightForWidth(   \
                                        (d)->sizePolicy().                \
                                              hasHeightForWidth());       \
                                        (d)->setSizePolicy(gwSizePolicy); \
                                        (d)->setVerticalScrollBarPolicy(  \
                                        Qt::ScrollBarAlwaysOff);          \
                                        (d)->setHorizontalScrollBarPolicy(\
                                        Qt::ScrollBarAlwaysOff);          \
                                        (d)->setGeometry(QRect(l,t,w,h))
#define   gwEditLineSetText(d,t)        (d)->setText(t);
#define   gwEditLineConnect(c,d,s)      gwConnect(c,d,s)

#define   gwEDITAREA                    QTextEdit
#define   gwEditAreaNew(w)              new QTextEdit(w);                 \
                                        QSizePolicy gwSizePolicy(         \
                                        QSizePolicy::Expanding,           \
                                        QSizePolicy::Expanding);          \
                                        gwSizePolicy.setHorizontalStretch(0);\
                                        gwSizePolicy.setVerticalStretch(0);
#define   gwEditAreaFrame(d,l,t,w,h)    gwSizePolicy.setHeightForWidth(   \
                                        (d)->sizePolicy().                \
                                              hasHeightForWidth());       \
                                        (d)->setSizePolicy(gwSizePolicy); \
                                        (d)->setVerticalScrollBarPolicy(  \
                                        Qt::ScrollBarAlwaysOn);           \
                                        (d)->setHorizontalScrollBarPolicy(\
                                        Qt::ScrollBarAlwaysOn);           \
                                        (d)->setGeometry(QRect(l,t,w,h)); \
                                        (d)->setFont(QFont("Courier New",10));
#define   gwEditAreaSetText(d,t)        (d)->setText((const char*)t);
#define   gwEditAreaConnect(c,d,s)      gwConnect(c,d,s)

#define   gwTextToImage(t,w,h,f)        if (gwPntr!= gpNULL)              \
                                        gwPntr->~QPainter();              \
                                        if (gwBaseImg != gpNULL)          \
                                        gwBaseImg->~QImage();             \
                                        if (gwTransImg != gpNULL)         \
                                        gwTransImg->~QImage();            \
                                        gwBaseImg=new QImage(w,h,         \
                                        QImage::Format_ARGB32);gwPntr=new \
                                        QPainter(gwBaseImg);gwPntr->      \
                                        setBackgroundMode(Qt::OpaqueMode);\
                                        gwPntr->fillRect(0,0,w,h,         \
                                        Qt::white); gwPntr->setFont(QFont \
                                        ("Courier New",10));gwPntr->      \
                                        drawText(10,10,w,h,Qt::AlignLeft, \
                                        (const char*)t, gpNULL);gwTransImg\
                                        =new QImage(gwBaseImg->           \
                                        scaledToWidth(200,                \
                                        Qt::SmoothTransformation));       \
                                        gwPntr->end(); if (f != gpNULL)   \
                                        {gwTransImg->save(f);}

          /* The scanline data is aligned on a 32-bit boundary.     */
          /*                                                        */
          /* Warning:                                               */
          /*          If you are accessing 32-bpp image data, cast  */
          /*          the returned pointer to QRgb* (QRgb has a     */
          /*          32-bit size) and use it to read/write the     */
          /*          pixel value. You cannot use the uchar*        */
          /*          pointer directly, because the pixel format    */
          /*          depends on the byte order on the underlying   */
          /*          platform. Use qRed(), qGreen(), qBlue(), and  */
          /*          qAlpha() to access the pixels.                */
#define   gwGetImageLine(s,n)           if (gwTransImg == gpNULL){        \
                                        (s)=gpNULL;}                      \
                                        else {(s)=gwTransImg->scanLine(n);}

#define   gwCOUNTBOX                    QSpinBox
#define   gwCountBoxNew(w)              new QSpinBox(w)
#define   gwCountBoxTitle(d,t)          (d)->setText(t)
#define   gwCountBoxFrame(d,l,t,w,h)    (d)->setGeometry(QRect(l,t,w,h))
#define   gwCountBoxRange(d,s,l)        (d)->setRange(s,l)
#define   gwCountBoxConnect(c,d,s)        gwConnect(c,d,s)

#define   gwLINK                        QCommandLinkButton
#define   gwLinkNew(w)                  new QCommandLinkButton(w)
#define   gwLinkTitle(d,t)              (d)->setText(t)
#define   gwLinkFrame(d,l,t,w,h)        (d)->setGeometry(QRect(l,t,w,h))
#define   gwLinkLink(d,l)               (d)->setRange(s,l)
#define   gwLinkConnect(c,d,s)          gwConnect(c,d,s)

#define   gwDRAWCANVAS                  gwCanvas
#define   gwDrawCanvasNew(w)            new gwCanvas(w)
#define   gwDrawCanvasFrame(s,l,t,w,h)  (s)->setGeometry(QRect(l,t,w,h))
#define   gwDrawCanvasPaintSet(s,f)     (s)->SetgwPCFR(f)
#define   gwDrawCanvasPaint(s)          (s)->repaint()

#define    gwDrawShape(s,n,t)           glBegin(t);                       \
                                        for(gwdx=0;gwdx<(n);gwdx++){      \
                                        glVertex2f(s[gwdx].x,s[gwdx].y);} \
                                        glEnd()
#define   gwDrawShapeSetPoint(s,p,q)    (s).x = (p); (s).y = (q)
#define   gwDrawShapeScale(s,n,f)       for(gwdx=0;gwdx<(n);gwdx++){      \
                                        s[gwdx].x*=f;s[gwdx].y*=f;}
#define   gwDrawShapeOffset(s,n,a,b)    for(gwdx=0;gwdx<(n);gwdx++){      \
                                        s[gwdx].x+=a;s[gwdx].y+=b;}
#define   gwDrawShapeAdd(w,s,n,t)       (w)->AddShape(s,n,t)


#endif

/*------------------  Data Structure Declarations   ----------------*/
/*................................|.................................*/
    /*** Window Metric Object                                       */
    /***............................................................*/
typedef struct _tag_Win_Metrics_ {
    gpRECT  screen;               /* Size/Position of Screen/Display*/
    gpRECT  frame;                /* Size/Position of Window        */
    gpSIZE  border;               /* Size for non-sizable Window    */
    gpSIZE  vScroll;              /* Size for vertical scroll       */
    gpSIZE  hScroll;              /* Size for horizontal scroll     */
    gpSIZE  caption;              /* Size (Height) of Window caption*/
    gpSIZE  menu;                 /* Size (Height) of 1-line menu   */
    gpSIZE  dropList;             /* Size (H) of 1-line drop list   */
    gpBOOL  winHasMouse;          /* Flag for mouse presence        */
    gpBOOL  winHasShrink;         /* Flag for Shrink is possible    */
    gpBOOL  winHasResize;         /* Flag for Resize is possible    */
} gpWINMTR, *gpWINMTRID;

    /*** Window Object                                              */
    /***............................................................*/
typedef struct _tag_Win_Obj_ {
    gwWINDOW* win;
    gpCHAR    title[128];         /* Title for Window               */
} gpWIN, *gpWINID;

/*-----------------  Application Global Variables   ----------------*/
/*................................|.................................*/
extern  gpWINMTR  windowMetric;   /* Window Metric Data             */

/*--------------------  Local Global Variables  --------------------*/
/*................................|.................................*/

/*--------------------  Function Declarations   --------------------*/
/*................................|.................................*/
extern void More(void);
extern void MoreClose(void);

#endif  /* __GENERAL_QT_WIN_DAT_H__                                 */

/*_______________________  gp.qt.win.dat.h   _______________________*/

/*345678901234567890123456789012345678901234567890123456789012345678*/
/*       1         2         3         4         5         6        */
/*********************************|**********************************/

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*** End of File *** End of File *** End of File *** End of File ****/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
